<script type="text/javascript">

    $(function(){
      
      /* Datpicker conf # calendrier contextuel */
      date = new Date();  
      dd = date.getDate();  
      mm = date.getMonth()+1;  
      if (mm < 10) {   
        mm = "0"+mm;  
      }  
      yy = date.getFullYear(); 
      
      var datepicker_option = {
        dateFormat: 'dd/mm/yy',
        showOn: "button",
        buttonImage: "<?php echo $request->getBaseUrl(); ?>/images/calendar.png",
        buttonImageOnly: true,
        buttonText: "Selectionner une date dans le calendrier ...",
        altField: "#actualDate",
      };
  
      $('.datepicker').datepicker( datepicker_option );
        
    	$('#slide-submenu').on('click',function() {			        
            $(this).closest('.list-group').fadeOut('slide',function(){
            	$('.mini-submenu').fadeIn();	
            });
            
          });
    
    	$('.mini-submenu').on('click',function(){		
            $(this).next('.bs-docs-sidenav').toggle('slide');
            // $('.mini-submenu').hide();
    	});
      
      $(".menu-toggle").click(function(e) {
        e.preventDefault();
        $("#wrapper").toggleClass("active");
      });
            
      Highcharts.setOptions({
      	lang: {
      		months: ['Janvier', 'Fevrier', 'Mars', 'Avril', 'Mai', 'Juin',  'Juillet', 'Aout', 'Septembre', 'Octobre', 'Novembre', 'Decembre'],
      		weekdays: ['Dimanche', 'Lundi', 'Mardi', 'Mercredi', 'Jeudi', 'Vendredi', 'Samedi'],
          decimalPoint: ',',
          thousandsSep: ' ',
          printChart: 'Imprimer ',
          drillUpText: 'Retour {series.name}'
      	},
        colors: [
          '#ff0000',
          '#2f7ed8', 
          '#ffff00',
          '#80f000',
          '#910000', 
          '#00ff00',
          '#1aadce', 
          '#00ff80',
          '#492970',
          '#00ffff',
          '#f28f43', 
          '#0080ff',
          '#77a1e5',
          '#c42525', 
          '#ff8000',
          '#0d233a', 
          '#a6c96a',
          '#FF9900'       
        ],
        exporting:{
          buttons: {
            contextButton: {
              text: 'export',
              menuItems: null,
              onclick: function() { this.exportChart(); }
            }
          },
          enabled: true,      
        },
        legend: {
          borderColor: '#555555',
          borderWidth: 1,
          layout: 'vertical',
          align: 'right'
        },
        plotOptions: {
          pie: {
            allowPointSelect: false,
            cursor: 'pointer',
            dataLabels: { 
              enabled: true, 
              // format: '{point.name}<br>{point.y:.0f} %'
              formatter: function() {
                return this.point.name +' : <br>'+ this.percentage.toFixed(2) +' %';
              }
            },
            showInLegend: true,                    
          }
        }     
      }); 
       
      // Radialize the colors
      Highcharts.getOptions().colors = Highcharts.map(Highcharts.getOptions().colors, function(color) {
  		    return {
  		        radialGradient: { cx: 0.5, cy: 0.3, r: 0.7 },
  		        stops: [
  		            [0, color],
  		            [1, Highcharts.Color(color).brighten(-0.3).get('rgb')] // darken
  		        ]
  		    };
  		});

      // initialize all tooltips      
      $('[data-toggle="tooltip"]').tooltip() ;      
      
    });

  </script> 
<?php $nom = $form->getElement('nom')->get('value'); echo $helper_form->setLegend('Edition Traitement : '.$nom)->setSubmit('Enregistrer')->setButton($this->getRequest('Traitement', 'index'), 'Retour');